<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for checkCreditRating StructType
 * @subpackage Structs
 */
class CheckCreditRating extends AbstractStructBase
{
    /**
     * The result
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $result;
    /**
     * The xmlData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $xmlData;
    /**
     * Constructor method for checkCreditRating
     * @uses CheckCreditRating::setResult()
     * @uses CheckCreditRating::setXmlData()
     * @param int $result
     * @param string $xmlData
     */
    public function __construct($result = null, $xmlData = null)
    {
        $this
            ->setResult($result)
            ->setXmlData($xmlData);
    }
    /**
     * Get result value
     * @return int
     */
    public function getResult()
    {
        return $this->result;
    }
    /**
     * Set result value
     * @param int $result
     * @return \StructType\CheckCreditRating
     */
    public function setResult($result = null)
    {
        // validation for constraint: int
        if (!is_null($result) && !(is_int($result) || ctype_digit($result))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($result, true), gettype($result)), __LINE__);
        }
        $this->result = $result;
        return $this;
    }
    /**
     * Get xmlData value
     * @return string|null
     */
    public function getXmlData()
    {
        return $this->xmlData;
    }
    /**
     * Set xmlData value
     * @param string $xmlData
     * @return \StructType\CheckCreditRating
     */
    public function setXmlData($xmlData = null)
    {
        // validation for constraint: string
        if (!is_null($xmlData) && !is_string($xmlData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($xmlData, true), gettype($xmlData)), __LINE__);
        }
        $this->xmlData = $xmlData;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CheckCreditRating
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
